# 社区参与

在去中心化自治组织（DAO）中，协议参数和代币分配等重要元素由社区通过治理控制。这种治理允许社区塑造和不断改进协议。

然而，社区的作用并不止于提出提案和通过投票表达意见。社区还可以通过建设性的辩论、互助和具体行动为协议的成功和繁荣做出积极贡献。

您可以在Tornado.Cash自己的社区论坛和社交媒体上讨论。以下是加入Tornado.Cash社区的相关链接

* [**Tornado.Cash 社区论坛**](https://torn.community)
* [**Tornado.Cash Discord服务器**](https://discord.com/invite/TFDrM8K42j)
* [**Tornado.Cash 电报讨论**](https://t.me/TornadoCashOfficial)

_如果您有兴趣，可以获取有关_ [_Tornado.Cash治理规则和运作_](governance.md)的更多信息。

## 如何参与？

为了帮助构建Tornado.Cash的未来增强版本，欢迎所有技能和人才。参与机会几乎是不限的。这些机会涉及改进协议及其在区块链生态系统中的地位的任何功能或贡献。

Tornado.Cash社区正在寻找：

* 可以帮助继续构建协议及其工具的开发人员；
* 审核员可以审查代码以发现错误和漏洞；
* 内容创建者，以制作教程或营销内容以吸引新用户加入协议（视频、博客、Memes等）
* 可以改进协议架构和设计的架构师；
* DAO的潜在雇员；
* ...

## Tornado.Cash 社区基金

2021年6月，Tornado.Cash社区投票决定实施社区基金以奖励其主要贡献者（[提案#7](https://tornadocash.eth.link/governance/7)）。该基金的管理权在社区手中。Tornado.Cash社区是决定谁的贡献有资格获得奖励的人。

### 基金详情

Tornado.Cash社区基金从治理金库里分配了TORN总量的5%，细分如下：

* 当时已经归属的48.53万的5%，**初始转移2.29万** _->_ [_交易详情_](https://etherscan.io/tx/0xbe95f4268df2023d9ef234c1eedbb597b99e4c6e7d396d8f521ee482a1d93d47)\
  \_\_
* 每月9.16万的5%将在未来12个月归属，这导致**每月转移约4600个TORN** (一年总共约5.5万个TORN)

该基金的每月分配是通过[Sablier](https://sablier.finance)编程的，这是一个基于以太坊的协议，允许在12个月内实时转移剩余的TORN（逐秒）。

总共向社区基金分配了大约**7.8万个TORN**。截至2021年8月，社区基金的余额约为1.26万个TORN归属于Sablier，1.55万个TORN归属于Gnosis Safe。截至2022年初，社区基金（关于Gnosis Safe）的余额约为3.64万个TORN。

Tornado.Cash 社区合约地址: [0xb04E030140b30C27bcdfaafFFA98C57d80eDa7B4](https://gnosis-safe.io/app/#/safes/0xb04E030140b30C27bcdfaafFFA98C57d80eDa7B4/balances).

资金通过Gnosis Safe上的多重签名钱包处理。管理这个钱包的密钥被交到5名社区成员的手中。要验证交易，需要5个签名中的4个共识。

选择这些多重签名密钥持有者是因为他们对Tornado.Cash及其社区的贡献和承诺。他们承诺按照社区指示签署交易。这些指导方针是通过论坛讨论表达的，并通过快照投票得到证实。

所有签名者还承诺，如果他们不再履行对Tornado的忠诚，他们将辞职。根据社区的决定，他们也可以被解雇。为了奖励他们作为Tornado.Cash社区的签名者和主要贡献者的承诺，每个签名者每月至少有100个TORN奖励（通过Sablier分发）。

当前的5名多重签名密钥持有者是：

* [0xd26BaA5F41CC7839CEdb020b6d98E1C6e1642D75](https://etherscan.io/address/0xd26BaA5F41CC7839CEdb020b6d98E1C6e1642D75)
* [0x7c09bCa28ba3DB1CF7cd793696B161261cAC27b5](https://etherscan.io/address/0x7c09bCa28ba3DB1CF7cd793696B161261cAC27b5)
* [0x339B45fBEed1ab46Fe9c11f484b0Ea7220e75300](https://etherscan.io/address/0x339B45fBEed1ab46Fe9c11f484b0Ea7220e75300)
* [0x647e9e26DA82C29AAFbbFB1C3f45d916AA9b300d](https://etherscan.io/address/0x647e9e26DA82C29AAFbbFB1C3f45d916AA9b300d)
* [0xEA27752f7D6687CB3Be2F180B997713b784c9911](https://etherscan.io/address/0xEA27752f7D6687CB3Be2F180B997713b784c9911)

### 如何领取奖励？

每个成员都可以要求社区从该基金中获得补偿，以奖励他/她对Tornado.Cash的贡献。每个成员还可以代表其他成员要求补偿，以奖励他/她的工作。

为此，在Tornado.Cash论坛上创建了一个名为 **« Funding »** 的新类别。通过在该类别中创建新帖子，所有成员都可以提出资金申请以使用社区基金。在这篇文章中讨论了有关此类请求的条款和条件的讨论。

一旦确定了这些条款和条件，就会在Snapshot上进行投票以同意（或反对）此类资金请求。

这里是Tornado.Cash Snapshot提案：[ https://snapshot.org/#/torn-community.eth](https://snapshot.org/#/torn-community.eth).

![](<../.gitbook/assets/Page d'accueil.png>)

### 如何在Snapshot进行投票？

每个特定的资金请求都附有提案投票，TORN持有者可以在其中明确表达自己的立场。该提案投票的结果为多重签名密钥持有者提供了最终指示，是否将确定的奖励金额转移给相关成员。

每个提案投票都有**`3天的投票时间`** ，由TORN持有者进行投票。投票日期结束，提案状态将从**`活跃`** 变为 **`已关闭`**。社区成员不能再投票。

![](<../.gitbook/assets/Time window.png>)



多重签名密钥持有者认为，在以下情况下，资金请求已由社区验证：

* 大多数TORN持有者投票`支持`而不是`反对`。
* 已到达`5,000`个TORN的法定数目。

所有提案资金请求的设计方式都相同：作为**单选投票方式**，用户可以在其中决定他们是**支持或反对**给定的提议。

对Snapshot进行投票的步骤非常直观。社区成员需要：

* 使用MetaMask、WalletConnect或Torus连接持有TORN的钱包；

![](<../.gitbook/assets/Connect wallet.png>)

* 通过点击`Accept`或`Refuse`进行投票；

![](<../.gitbook/assets/Cast the vote.png>)

* 确认投票。

![](<../.gitbook/assets/Confirm the vote.png>)

_编写_ [_@ayefda_](https://torn.community/u/ayefda)
